/* Linux Prism II Stumbler - Utility Scan for 802_11 networks under Linux
 * 
 * File : netlink.h
 * Project : WifiScanner (c) 2002 Herv<E9> Schauer Consultants
 * Usage : This utility is written for use with IEEE 802.11 adapters based
 * on Intersil's PRISM II chipset (PCMCIA).
 * 
 * Base code was from prismstumbler Jan Fernquist <Jan.B.Fernquist@telia.com>
 * and wlanctl from www.linux-wlan.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef __NETLINK_H__
#define __NETLINK_H__

// Captured Frame Format
// original linux-wlan-ng
#define WLAN_NG_CARD          1
// output from Cisco Card
#define CISCO_CARD            2
// output from Lucent Card (Hermes chipset)
#define LUCENT_CARD           3
// simplified linux-wlan-ng
#define WLAN_NG_CARD_AVS_CFF2 4

#ifndef DLT_PRISM_HEADER
#define DLT_PRISM_HEADER 119
#endif

// Public declarations
#ifdef LWNG_14
int openPacket (char *devname);
#else
int openPacket (void);
#endif

void closePacket (void);
int getPacket (unsigned char *buf, int maxlen, unsigned int timeout);

#endif
